test_setup()
{
    request=$'../../../../../../../../../../../../../../../etc/passwd\r\n'
}

test_set_assumptions()
{
    # This might seem counter-intuitive, but an invalid request is a
    # valid case for a server daemon and does not indicate an internal
    # failure in sgopherd.
    echo 0 >"$work"/exitcode.expected
    touch "$work"/stderr.expected

    printf '3`../../../../../../../../../../../../../../../etc/passwd%s invalid.\tError\tError\t0\r\n' "'" \
        >"$work"/stdout.expected
}
